Bug 12930 - Fix build issues with GCC 7.1
Fix build issues with GCC 7.1
Status: ASSIGNED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: Build
4.7.0rc2
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-24 10:15 UTC by Andreas Schneider
Modified: 2017-08-21 09:32 UTC (History)
4 users (show)

See Also:


Attachments
patch for 4.7 (2.30 KB, patch)
2017-07-25 14:18 UTC, Andreas Schneider
slow: review-
Details
patch for 4.7 (2.31 KB, patch)
2017-07-25 15:06 UTC, Andreas Schneider
slow: review+
Details
additional patch for 4.7 (2.44 KB, patch)
2017-08-01 11:38 UTC, Andreas Schneider
slow: review+
Details
additional patch for 4.7 (5.95 KB, patch)
2017-08-14 06:57 UTC, Andreas Schneider
asn: review? (slow)
ab: review+
asn: review? (obnox)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Andreas Schneider 2017-07-24 10:15:25 UTC
Fix build issues with GCC 7.1

Patches will follow.
Comment 1 Andreas Schneider 2017-07-25 14:18:58 UTC
Created attachment 13428 [details]
patch for 4.7
Comment 2 Ralph Böhme 2017-07-25 15:03:44 UTC
Comment on attachment 13428 [details]
patch for 4.7

Sorry, but cherry-pick info missing...
Comment 3 Andreas Schneider 2017-07-25 15:06:54 UTC
Created attachment 13429 [details]
patch for 4.7
Comment 4 Ralph Böhme 2017-07-25 15:12:07 UTC
Reassigning to Karolin for inclusion in 4.7.
Comment 5 Karolin Seeger 2017-07-31 09:30:31 UTC
(In reply to Ralph Böhme from comment #4)
Pushed to autobuild-v4-7-test.
Comment 6 Karolin Seeger 2017-08-01 06:06:40 UTC
(In reply to Karolin Seeger from comment #5)
Pushed to v4-7-test.
Closing out bug report.

Thanks!
Comment 7 Andreas Schneider 2017-08-01 11:38:18 UTC
Created attachment 13442 [details]
additional patch for 4.7
Comment 8 Ralph Böhme 2017-08-01 16:04:33 UTC
Reassigning to Karolin for inclusion in 4.7.
Comment 9 Karolin Seeger 2017-08-04 07:05:37 UTC
(In reply to Andreas Schneider from comment #7)
The additional patch is identical to the first one...
Comment 10 Andreas Schneider 2017-08-04 08:29:38 UTC
Oh, sorry then everything is just fine.
Comment 11 Andreas Schneider 2017-08-14 06:57:09 UTC
Created attachment 13467 [details]
additional patch for 4.7

This time we really have an additional patch :-)
Comment 12 Alexander Bokovoy 2017-08-18 08:02:07 UTC
Comment on attachment 13467 [details]
additional patch for 4.7

LGTM
Comment 13 Andreas Schneider 2017-08-18 08:08:46 UTC
Karolin, this time we have an additional patchset :-). Please apply. Thanks!
Comment 14 Karolin Seeger 2017-08-21 09:32:43 UTC
(In reply to Andreas Schneider from comment #13)
Pushed to autobuild-v4-7-test.